Get Payment Instruments

Use this endpoint to retrieve a list of payment instruments stored for a particular shopper.

The response includes a list of all pament instruments for convenience (not linked to a recurring/MIT payment agreement) for the particular shopper.


Endpoint

GET /v1/payment-instruments/{merchantShopperId}
  • {merchantShopperId} — the unique identifier of the shopper you want the list of payment instruments for.

Example Request

GET /v1/payment-instruments/{merchantShopperId}

Example Response

{
  "responseInfo": {
    "responseCode": 0,
    "responseText": "Success"
  },
  "paymentInstruments": [
    {
      "paymentInstrumentReference": "{{paymentInstrumentReference}}",
      "scheme": "MASTERCARD_CREDIT",
      "maskedPan": "548016******7897",
      "expiryDate": "2029-12",
      "cardOnFileReason": "UNSCHEDULED"
    }
  ]
}

Field Reference

Path Parameter

FieldTypeRequiredDescription
merchantShopperIdstringYesThe unique identifier you used when identifying the shopper.

Response

responseInfo

FieldTypeRequiredDescription
responseCodeintegerYesA code indicating the request result.
responseTextstringYesA human-readable description of the result.

paymentInstruments

Array containing all payment instruments identifed by merchantShopperId, if any.

FieldTypeRequiredDescription
paymentInstrumentReferencestringYesThe unique identifier of the payment instrument.
schemestringYesThe scheme of the payment instrument
maskedPanstringNoThe PAN of the payment instrument, relevant primarily for cards.
expiryDatestringNoThe expiry date of the payment instrument, relevant primarily for cards.
cardOnFileReasonstringNoThe reason for storing a payment instrument, enums CONVENIENCE (to reuse card later without having to retype card data), UNSCHEDULED (stored for unscheduled MIT payments) or SCHEDULED (sored for scheduled MIT payments)

Note that if a card has been stored for different reasons, or for multiple recurring/MIT agreements, each card will have have multiple paymentInstrumentReference each to be managed individually, e.g. if deleting a card stored for convenience or a recurring/MIT agreement
recurringReferencestringNoThe reference for a recurring/MIT agreement, relevant only if the card was stored for recurring/MIT payment (SCHEDULED or UNSCHEDULED).
recurringDescriptionstringNoThe description sent in the Create MIT request, relevant only if the card was stored for recurring/MIT payment.

Operation Types

The type field may include:

  • CREATE_SESSION
  • AUTHENTICATION
  • AUTHORIZATION
  • CAPTURE
  • CANCEL
  • REFUND
  • UPDATE

Important Notes

  • The status endpoint returns the complete lifecycle of the payment.
  • The response lists operations in chronological order.
  • Some operations (such as refunds) can appear multiple times.
  • The details object varies depending on the operation type. For example, the AUTHENTICATION operation includes an eci field (Electronic Commerce Indicator, a value indicating the authentication level).
  • You can call this endpoint multiple times — it does not modify payment state.

Did this page help you?